Bug 1005793 - Incorrect version of jaxb-impl dependency
Incorrect version of jaxb-impl dependency
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Julian Coleman
Jiri Sedlacek
Russell Dickenson
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 08:11 EDT by lvaskova
Modified: 2015-08-02 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lvaskova 2013-09-09 08:11:14 EDT
org.jboss.resteasy:resteasy-jaxb-provider:jar:2.3.6.Final-redhat-1:compile
  \- com.sun.xml.bind:jaxb-impl:jar:2.2.5-redhat-4:compile
     +- org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec:jar:1.0.0.Final:compile
     +- com.sun.istack:istack-commons-runtime:jar:2.6.1-redhat-2:compile
     \- com.sun.xml.txw2:txw2:jar:20110809-redhat-2:compile
        \- com.github.relaxng:relaxngDatatype:jar:2011.1-redhat-6:compile

depends on jaxb-impl in version 2.2.5-redhat-4.

Only versions

2.0.1  2.0.2  2.0.5  2.1.12  2.1.13  2.1.8  2.1.9  2.2.1  2.2.3-1  2.2.4  2.2.4-1  2.2.5  2.2.5-b10  2.2.5-redhat-1  2.2.5-redhat-3  2.2.5-redhat-5

are present.
Comment 4 Julian Coleman 2013-09-13 09:11:44 EDT
Worked around by adding:

  glassfish-jaxb-2.2.5-13.redhat_4.ep6.el6

to the IP tag.
Comment 5 Julian Coleman 2013-09-24 11:19:05 EDT
It should be possible to run a build and have maven resolve the correct dependencies, by using a POM similar to the following (which imports the IP
BOM via the parent and dependencyManagement sections), and the incorrect artifacts can be removed from our repository.

<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <name>MVN test</name>
    <groupId>org.jboss.ip</groupId>
    <artifactId>test</artifactId>
    <version>0.0.1</version>
    <packaging>pom</packaging>

    <parent>
        <!-- IP/EAP versions (parent) -->
        <groupId>org.jboss.ip.component.management</groupId>
        <artifactId>ip-parent</artifactId>
        <version>1.0-redhat-5</version>
    </parent>

    <dependencyManagement>
        <dependencies>
            <!-- IP/EAP versions (BOM) -->
            <dependency>
                <groupId>org.jboss.ip.component.management</groupId>
                <artifactId>ip-version-master</artifactId>
                <version>1.0-redhat-5</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.jboss.component.management</groupId>
                <artifactId>jboss-dependency-management-all</artifactId>
                <version>6.1.0-redhat-2</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>org.jboss.resteasy</groupId>
            <artifactId>resteasy-jaxb-provider</artifactId>
            <version>2.3.6.Final-redhat-1</version>
        </dependency>
    </dependencies>
</project>
Comment 9 Jiri Sedlacek 2013-10-09 02:33:52 EDT
verified in last respin of ER4

Note You need to log in before you can comment on or make changes to this bug.